---
lang: en
title: 'API docs: rest.resolvednode'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.resolvednode.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ResolvedNode](./rest.resolvednode.md)

## ResolvedNode interface

**Signature:**

```typescript
export interface ResolvedNode<T> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [node](./rest.resolvednode.node.md) |  | [Node](./rest.node.md)<!-- -->&lt;T&gt; |  |
|  [params?](./rest.resolvednode.params.md) |  | [PathParameterValues](./rest.pathparametervalues.md) | _(Optional)_ |


